Login
Newsletter
Werbung

Sicherheit: Ausführen beliebiger Kommandos in JasPer
Aktuelle Meldungen Distributionen
Name: Ausführen beliebiger Kommandos in JasPer
ID: USN-2434-1
Distribution: Ubuntu
Plattformen: Ubuntu 12.04 LTS, Ubuntu 14.04 LTS, Ubuntu 14.10
Datum: Mo, 8. Dezember 2014, 16:39
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-9029
Applikationen: JasPer

Originalnachricht

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--===============0250248251344804096==
Content-Type: multipart/signed; micalg=pgp-sha512;
protocol="application/pgp-signature";
boundary="SRRHOicljuXXj0LKnrlbFCfiMP1Rn07vC"

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--SRRHOicljuXXj0LKnrlbFCfiMP1Rn07vC
Content-Type: text/plain; charset=utf-
Content-Transfer-Encoding: quoted-printable

==========================================================================
Ubuntu Security Notice USN-2434-1
December 08, 2014

jasper vulnerability
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 14.10
- Ubuntu 14.04 LTS
- Ubuntu 12.04 LTS

Summary:

JasPer could be made to crash or run programs as your login if it opened a
specially crafted file.

Software Description:
- jasper: Library for manipulating JPEG-2000 files

Details:

Jose Duart discovered that JasPer incorrectly handled certain malformed
JPEG-2000 image files. If a user were tricked into opening a specially
crafted JPEG-2000 image file, a remote attacker could cause JasPer to crash
or possibly execute arbitrary code with user privileges.

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 14.10:
libjasper1 1.900.1-debian1-2ubuntu0.1

Ubuntu 14.04 LTS:
libjasper1 1.900.1-14ubuntu3.1

Ubuntu 12.04 LTS:
libjasper1 1.900.1-13ubuntu0.1

In general, a standard system update will make all the necessary changes.

References:
http://www.ubuntu.com/usn/usn-2434-1
CVE-2014-9029

Package Information:
https://launchpad.net/ubuntu/+source/jasper/1.900.1-debian1-2ubuntu0.1
https://launchpad.net/ubuntu/+source/jasper/1.900.1-14ubuntu3.1
https://launchpad.net/ubuntu/+source/jasper/1.900.1-13ubuntu0.1



--SRRHOicljuXXj0LKnrlbFCfiMP1Rn07vC
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCgAGBQJUhboIAAoJEGVp2FWnRL6TfPQQAJJN0Fiz9+tIERDsIqncrroF
2pqvyYrINq3akHPCdu2BlzoDs+7B4OxwOLisjEkb5y0acNQrwxUlAH+9eBZm/lyt
sJwmFHZWFUaU0XOyAb8sIzSxlDpkG9gmV3glpHJkV+/mO9sOS+7JNEQ/R1cAKPDz
/oKPU1xPaMcyX2ll9qsy80KZUnGKmWZnbTHHj3hh9IX6dvNlj440H5htPFeYo+ae
w2VUxh2wBRLIO69m3YPvjIWmuAZvIC7ce/JqTx+EPVQjOF7d8zCHPGOLABABJnF7
hiPor+VHbslcE3bUY/oUmqjGwDE+1QEq8+h99w+2CAYZM3jhZFN+ESuIm10QtO5j
Pv3lHGQ0/CbF2mgvLRvSo+ATtFPQktZGYGXyPuT1yGxprOrd/dFIGX65KgtprJl9
fXs/94eK8tznJDyUxU7H5qKmvqUfTaOmbfObuLcwMluf8f/qDTD2GXWwZqEyzaCV
nv7DmtVrtTCuYGoGKEPr01TVV1mN7gLF/121yBHMOwdSj+LHM8qMMD9TMH4g9Oa5
3mRGTIxq2idpQCuxB1u9HRsLl0YssTO9x4RncpPeebod59624Lzl1wuIsaySLcX/
wrwXvSPBTSk1PzfFLVsZ7QuD8ld4dar1AZOPqSurJs+lpITQEG73Ha/Sj5Orm1KQ
iFE0fl8YZL6WvzBY6U1S
=uK+n
-----END PGP SIGNATURE-----

--SRRHOicljuXXj0LKnrlbFCfiMP1Rn07vC--


--===============0250248251344804096==
Content-Type: text/plain; charset="us-ascii"
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

--
ubuntu-security-announce mailing list
ubuntu-security-announce@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-security-announce

--===============0250248251344804096==--
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung